diff --git a/bashrc b/bashrc
index ee7348ed..aaf886f5 100644
--- a/bashrc
+++ b/bashrc
@@ -263,6 +263,12 @@ export BEEP=
 export CLICOLOR=1
 export LSCOLORS=gxBxhxDxfxhxhxhxhxcxcx
 
+# make
+export NPROC=`nproc`
+export MAKEFLAGS="-j$NPROC"
+export MAKE="make $MAKEFLAGS"
+alias make="make $MAKEFLAGS"
+
 #####   Aliases                     RJ706I  #####
 
 # To get sudo work with aliases.
diff --git a/zshrc b/zshrc
index 0e8ae062..56e9ff78 100644
--- a/zshrc
+++ b/zshrc
@@ -201,6 +201,12 @@ export BEEP=
 export CLICOLOR=1
 export LSCOLORS=gxBxhxDxfxhxhxhxhxcxcx
 
+# make
+export NPROC=`nproc`
+export MAKEFLAGS="-j$NPROC"
+export MAKE="make $MAKEFLAGS"
+alias make="make $MAKEFLAGS"
+
 #####   Aliases                     RJ706I  #####
 
 # To get sudo work with aliases.
